# MatSetUp

Sets up the internal matrix data structures for the later use.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatSetUp(Mat A)

Collective on Mat

### Input Parameters

A -the Mat context

### Notes

For basic use of the Mat classes the user need not explicitly call MatSetUp(), since these actions will happen automatically.

### Keywords

Mat, setup

### See Also

MatCreate(), MatDestroy()

Level:advanced
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages